#!/bin/sh

CWD=$(dirname $0)
ROUTER_IP=$(/bin/sh $CWD/../general/get_router_ip.sh)
source $CWD/../static.conf

data='{
  "id": 1,
  "method": "login",
  "params": [
    "root",
    '\""${ROUTER_PASSWORD}"\"'
  ]
}'
rpc_link="http://${ROUTER_IP}/cgi-bin/luci/rpc/auth"
curl_res=$(curl -s "${rpc_link}" --data "$data")
res=$(echo $curl_res | \
    awk -F'"result":' '{print $2}' | \
    awk -F',' '{print $1}'
)

if [ "$res" = "null" ]; then
    return 1
else
    return 0
fi
