#!/bin/sh

CWD=$(dirname $0)
ROUTER_IP=$(/bin/sh $CWD/get_router_ip.sh)
BRAND=$(/bin/sh $CWD/get_router_brand.sh)

case $BRAND in
    "avm")
        MODEL=$(/bin/sh $CWD/../fritzbox/fb_identify_model.sh $ROUTER_IP);;
    "compal")
        MODEL=$(/bin/sh $CWD/../compal/cbn_identify_model.sh);;
    "turris")
        MODEL="Turris Omnia";;
    "speedport")
        MODEL=$(/bin/sh $CWD/../speedport/sp_identify_model.sh -m);;
    "easybox")
        MODEL="Easybox 804";;
esac

echo "$MODEL" > $CWD/../router.txt
