#!/bin/sh 

echo "Mosquitto CID listener is starting!"

source ./static.conf
source ./dynamic.conf

mosquitto_sub -h "$SERVER" -t "$charlieName" -p "8883" --capath /etc/ssl/certs -u "$charlieName" -P "$C_PASSWORD" | while read RAW_DATA;
do	 
  case "$RAW_DATA" in
    *"ETUID"*)
	if [ "$UID" = "-" ]
	then  
		UID="$(echo $RAW_DATA | cut -d':' -f2)"
		echo $UID
		echo $(date)' : Replace UID with new one'$UID >> /var/log/charlie.log;
		/bin/sed -i 's/^UID.*/UID="'$UID'"/' /root/static.conf; 
		/bin/ash /root/upload_charlie.sh;
		/bin/ash /root/restart-mosquitto.sh;
	else
		echo $(date)' : UID already exists' >> /var/log/charlie.log;
	fi;;
    *"ELETEUID"*)
		UID2="$(echo $RAW_DATA | cut -d':' -f2)"
	if [ "$UID" = "$UID2" ]
	then	
		echo $(date)' : Delete UID if UID = '$UID >> /var/log/charlie.log;
		/bin/ash /root/unlink_charlie_user.sh;
		/bin/sed -i 's/^UID.*/UID="-"/' /root/static.conf;
       		/bin/ash /root/restart-mosquitto.sh;
	else
		echo $(date)' : Delete UID: UID do not match' >> /var/log/charlie.log;
	fi;;
    *) echo $(date)' : CID Message received - but not valid' >> /var/log/charlie.log ;
  esac
done
