#!/bin/sh
source ./static.conf
source ./dynamic.conf
	
RESP_TOKEN=$(curl -s "$TOKEN_URL" \
	-H 'Content-Type: application/json' \
	--data-binary '{"email":"'$FB_EMAIL'","password":"'$FB_PASSWORD'","returnSecureToken":true}')
ID_TOKEN=$(echo $RESP_TOKEN | /usr/bin/jsonfilter -e '$.idToken')
CHARLIE_ID=$(echo $RESP_TOKEN | /usr/bin/jsonfilter -e '$.localId')
	
MYIP=$(ifconfig br-lan | sed -En 's/127.0.0.1//;s/.*inet (addr:)?(([0-9]*\.){3}[0-9]*).*/\2/p')
data='"'"$MYIP"'"'

statuscode=$(curl -s -w "%{http_code}" -o /dev/null -X PUT -d "$data" $FIREBASE_URL/users/$UID/charlie/charlies/$CID/ip.json?auth=$ID_TOKEN)
if [ "$statuscode" -ne  "200" ]; then
	echo $(date)' : Error while uploading IP '$MYIP' to Firebase UID '$UID' und CID:'$CID >> /var/log/charlie.log;
else
	echo $(date)' : Uploaded IP:'$MYIP' to CID:'$CID >> /var/log/charlie.log;
fi

data='"'"$charlieName"'"'
statuscode=$(curl -s -w "%{http_code}" -o /dev/null -X PUT -d "$data" $FIREBASE_URL/users/$UID/charlie/charlies/$CID/charlieName.json?auth=$ID_TOKEN)
if [ "$statuscode" -ne  "200" ]; then
        echo $(date)' : Error while uploading CharlieID '$CID' to Firebase' >> /var/log/charlie.log;
else
        echo $(date)' : Uploaded CharlieName to:'$charlieName >> /var/log/charlie.log;
fi

data='"'"$charlieName"'"'
statuscode=$(curl -s -w "%{http_code}" -o /dev/null -X PUT -d "$data" $FIREBASE_URL/users/$UID/charlie/charlies/$CID/charlieID.json?auth=$ID_TOKEN)
if [ "$statuscode" -ne  "200" ]; then
        echo $(date)' : Error while uploading CharlieID '$CID' to Firebase' >> /var/log/charlie.log;
else
        echo $(date)' : Uploaded CharlieID to:'$charlieName >> /var/log/charlie.log;
fi

data='"'"$UID"'/'"$CID"'"'                                                                 
statuscode=$(curl -s -w "%{http_code}" -o /dev/null -X PUT -d "$data" $FIREBASE_URL/users/$UID/charlie/charlies/$CID/topic.json?auth=$ID_TOKEN)
if [ "$statuscode" -ne  "200" ]; then                                                                                                                   
        echo $(date)' : Error while uploading Topic '$UID' to Firebase' >> /var/log/charlie.log;                                                           
else                                                                                                                                                    
        echo $(date)' : Uploaded Topic to:'$UID'/'$CID >> /var/log/charlie.log;                                                               
fi   
